DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
PATCH/chatbot/{chatbotId}/llm/{llmId}

Update a chatbot LLM mapping's per-task config

Update a chatbot LLM mapping's per-task config

GET/chatbot/{chatbotId}/eventsarrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The ID of the chatbot
llmIdrequiredpath
string (uuid)
The ID of the chatbot LLM mapping
upload
Request body
temperature
number
Sampling temperature
topP
number
Nucleus sampling probability mass
presencePenalty
number
Presence penalty
frequencyPenalty
number
Frequency penalty
double_arrow
Returns 200
idrequired
string (uuid)
chatbotIdrequired
string (uuid)
llmIdrequired
string (uuid)
pipelineTaskrequired
enum
configrequired
object
default
boolean
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
404Default Response
500Default Response
north_east
Request
curl -X PATCH 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/llm/{llmId}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "temperature": 0,
  "topP": 0,
  "presencePenalty": 0,
  "frequencyPenalty": 0
}'
south_west
Response
200 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "chatbotId": "00000000-0000-0000-0000-000000000001",
  "llmId": "00000000-0000-0000-0000-000000000001",
  "pipelineTask": "output",
  "config": {},
  "default": true,
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}